post
https://secure.easysendglobal.com/auth/token
This endpoint issues a new access token using the credentials of a service account.
The token must be used for authenticating subsequent API requests.
Ensure that valid service account credentials are included in the request body.
400Invalid input, typically due to a malformed request or invalid credentials.
Possible reasons include:
- The
account_id or public_key is missing or invalid.
Example response:
{
"error": "ERROR_INVALID_PUBLIC_KEY",
"message": "Public key is invalid",
"statusCode": 400
}
400Invalid input, typically due to a malformed request or invalid credentials.
Possible reasons include:
- The
account_idorpublic_keyis missing or invalid.
Example response:
{
"error": "ERROR_INVALID_PUBLIC_KEY",
"message": "Public key is invalid",
"statusCode": 400
} 403Access forbidden. This could be due to the following reasons:
- Merchant account not found.
- Merchant account is blocked.
- The project associated with the account is blocked.
Example response:
{
"error": "ERROR_MERCHANT_BLOCKED",
"message": "Merchant is blocked",
"statusCode": 403
}
403Access forbidden. This could be due to the following reasons:
- Merchant account not found.
- Merchant account is blocked.
- The project associated with the account is blocked.
Example response:
{
"error": "ERROR_MERCHANT_BLOCKED",
"message": "Merchant is blocked",
"statusCode": 403
} 404Resource not found. This could be due to:
- The account associated with the provided credentials was not found.
- The public key associated with the credentials was not found.
Example response:
{
"error": "ERROR_INVALID_CREDENTIALS",
"message": "Credentials are invalid or account not found",
"statusCode": 404
}
404Resource not found. This could be due to:
- The account associated with the provided credentials was not found.
- The public key associated with the credentials was not found.
Example response:
{
"error": "ERROR_INVALID_CREDENTIALS",
"message": "Credentials are invalid or account not found",
"statusCode": 404
}